
noinst_LTLIBRARIES = libgislivepatch.la

BUILT_SOURCES =

resource_files = $(shell glib-compile-resources --sourcedir=$(srcdir) --generate-dependencies $(srcdir)/livepatch.gresource.xml)
livepatch-resources.c: livepatch.gresource.xml $(resource_files)
	$(AM_V_GEN) $(GLIB_COMPILE_RESOURCES) --target=$@ --sourcedir=$(srcdir) --generate-source $<
livepatch-resources.h: livepatch.gresource.xml $(resource_files)
	$(AM_V_GEN) $(GLIB_COMPILE_RESOURCES) --target=$@ --sourcedir=$(srcdir) --generate-header $<
BUILT_SOURCES += livepatch-resources.c livepatch-resources.h

libgislivepatch_la_SOURCES =	\
	gis-livepatch-page.c gis-livepatch-page.h	\
	gis-auth-dialog.c gis-auth-dialog.h	\
	$(BUILT_SOURCES)

libgislivepatch_la_CFLAGS = $(INITIAL_SETUP_CFLAGS) -I "$(srcdir)/../.." -I "$(top_srcdir)" -I "$(top_builddir)"
libgislivepatch_la_LIBADD = $(INITIAL_SETUP_LIBS)
libgislivepatch_la_LDFLAGS = -export_dynamic -avoid-version -module -no-undefined

EXTRA_DIST = livepatch.gresource.xml $(resource_files)

CLEANFILES = $(BUILT_SOURCES)
